commit 8dfb5598acf4356172650f5f8c35acc0d37de805
Author: freddy77 <freddy77>
Date:   Wed Sep 2 09:27:01 2009 +0000

    fix dblib numeric test for Sybase

diff --git a/ChangeLog b/ChangeLog
index 8ff8f21..3c157b2 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Sep  2 11:26:14 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/numeric.c: fix dblib numeric test for Sybase
+
 Tue Sep  1 10:01:45 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/dblib.c: fix numeric -> numeric conversions
 
@@ -1830,4 +1833,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2866 2009/09/01 08:02:36 freddy77 Exp $
+$Id: ChangeLog,v 1.2867 2009/09/02 09:27:01 freddy77 Exp $
diff --git a/src/dblib/unittests/numeric.c b/src/dblib/unittests/numeric.c
index d23c7db..c4cb852 100644
--- a/src/dblib/unittests/numeric.c
+++ b/src/dblib/unittests/numeric.c
@@ -58,22 +58,24 @@ test(int bind_type)
 		/* nop */
 	}
 
-	ret = dbcmd(dbproc,
-		    "SET ARITHABORT ON;"
-		    "SET CONCAT_NULL_YIELDS_NULL ON;"
-		    "SET ANSI_NULLS ON;"
-		    "SET ANSI_NULL_DFLT_ON ON;"
-		    "SET ANSI_PADDING ON;"
-		    "SET ANSI_WARNINGS ON;"
-		    "SET ANSI_NULL_DFLT_ON ON;"
-		    "SET CURSOR_CLOSE_ON_COMMIT ON;"
-		    "SET QUOTED_IDENTIFIER ON");
-	chk(ret, "dbcmd");
-	ret = dbsqlexec(dbproc);
-	chk(ret, "dbsqlexec");
-
-	ret = dbcancel(dbproc);
-	chk(ret, "dbcancel");
+	if (DBTDS_5_0 < DBTDS(dbproc)) {
+		ret = dbcmd(dbproc,
+			    "SET ARITHABORT ON;"
+			    "SET CONCAT_NULL_YIELDS_NULL ON;"
+			    "SET ANSI_NULLS ON;"
+			    "SET ANSI_NULL_DFLT_ON ON;"
+			    "SET ANSI_PADDING ON;"
+			    "SET ANSI_WARNINGS ON;"
+			    "SET ANSI_NULL_DFLT_ON ON;"
+			    "SET CURSOR_CLOSE_ON_COMMIT ON;"
+			    "SET QUOTED_IDENTIFIER ON");
+		chk(ret, "dbcmd");
+		ret = dbsqlexec(dbproc);
+		chk(ret, "dbsqlexec");
+
+		ret = dbcancel(dbproc);
+		chk(ret, "dbcancel");
+	}
 
 	ret = dbrpcinit(dbproc, "testDecimal", 0);
 	chk(ret, "dbrpcinit");

